Retrieves Disputes List

This method returns a list of disputes based on query parameters such as the deal ID, page, limit, and date range.
Provide your bearer token in the Authorization header when making requests to protected resources. Example: Authorization: Bearer 123.

Query Params
string
required

InHouse previous DealID or legacy ID.

number

Page number for pagination (default is 1).

number

Limit of disputes per page (default is 20).

date-time
required

Start date for the disputes.

date-time
required

End date for the disputes.

Headers
string
required

Bearer token for authenticating the request. Example: Authorization: Bearer 123.

Responses

{
  "rows": [
    {
      "dealId": "123e4567-e89b-12d3-a456-426614174000",
      "invoiceId": "INV-12345",
      "status": "pending",
      "decision": "approved",
      "decline_reasone": "",
      "credentials": {
        "type": "card",
        "name": "John Doe",
        "card": "**** **** **** 1234",
        "phone": "+123456789"
      },
      "amount": {
        "fiat_old": 100.00,
        "fiat_new": 150.00,
        "crypto_old": 0.01,
        "crypto_new": 0.015,
        "fees_old": 2.00,
        "fees_new": 3.00
      },
      "rate": 1.25,
      "createdAt": "2024-01-15T10:00:00.000Z",
      "updatedAt": "2024-01-16T10:00:00.000Z",
      "files": [
        {
          "id": "f7e123d2-54c2-47c8-8f44-b71a16f7adbe",
          "url": "https://example.com/file1.png",
          "preview": "https://example.com/preview1.png",
          "type": "image"
        }
      ],
      "currencyFrom": {
        "_id": "c1234567-e89b-12d3-a456-426614174000",
        "code": "USD",
        "symbol": "$",
        "label": "US Dollar"
      },
      "currencyTo": {
        "_id": "c1234567-e89b-12d3-a456-426614174001",
        "code": "EUR",
        "symbol": "€",
        "label": "Euro"
      }
    }
  ],
  "meta": {
    "page": 1,
    "limit": 20,
    "total": 1
  }
}

{
  "error": "ERROR_ACCESS_TOKEN_INVALID",
  "message": "Access token is invalid.",
  "statusCode": 400
}

{
  "error": "ERROR_TOKEN_EXPIRED",
  "message": "Access token has expired.",
  "statusCode": 401
}
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json